Name: redis
Version: 4.0.14
Release: 1
License: BSD-3-Clause
Summary: Persistent key-value database
Url: https://www.redis.io

Source0: http://download.redis.io/releases/%{name}-%{version}.tar.gz

Patch0: redis-ibmi.patch
Patch1: redis-hiredis-all-source.patch
Patch2: redis-default-config.patch

%description
Redis is an open source in-memory data structure store, used as a database, 
cache and message broker. It supports data structures such as strings, hashes, 
lists, sets, sorted sets with range queries, bitmaps, hyperloglogs and 
geospatial indexes with radius queries. Redis has built-in replication, Lua 
scripting, LRU eviction, transactions and different levels of on-disk 
persistence.

%prep
%setup -q

%patch0 -p1
%patch1 -p1
%patch2 -p1

%build

MAKE=`which make`
# generate a script to wrap the make call
# with all the parameters that we need
cat > _make <<EOF
#!/usr/bin/env bash

$MAKE \
  PREFIX=%{_prefix} \
  DESTDIR=%{buildroot} \
  CC=gcc \
  CFLAGS='-DAF_LOCAL=AF_UNIX %{optflags}' \
  LDFLAGS="-Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  "\$@"
EOF

chmod +x _make

./_make

%install

./_make install

mkdir -p %{buildroot}%{_sysconfdir}/redis

for f in redis sentinel
do
    cp $f.conf %{buildroot}%{_sysconfdir}/redis/$f.conf.example
done

mkdir -p %{buildroot}/QOpenSys/var/lib/redis

%files
%defattr(-, qsys, *none)

%{_bindir}/redis-benchmark
%{_bindir}/redis-check-aof
%{_bindir}/redis-check-rdb
%{_bindir}/redis-cli
%{_bindir}/redis-sentinel
%{_bindir}/redis-server

%dir %{_sysconfdir}/redis
%{_sysconfdir}/redis/redis.conf.example
%{_sysconfdir}/redis/sentinel.conf.example

%dir /QOpenSys/var/lib/redis

%changelog
* Wed Dec 4 2019 Abdirahim Musse <abdirahim.musse@ibm.com> 
- Use SPDX license identifier

* Tue Apr 16 2019 Jesse Gorzinski <jgorzins@us.ibm.com>
- Upgrade to 4.0.14

* Thu Apr 26 2018 - Kevin Adler <kadler@us.ibm.com>
- Add Redis package
